[Japanese]

JVNDB-2011-000004

Lunascape may insecurely load dynamic libraries

Overview

Lunascape may use unsafe methods for determining how to load DLLs.

Lunascape is a web browser. Lunascape loads certain DLL's when HTML files are opened. Lunascape contains an issue with the DLL search path, which may lead to insecurely loading dynamic libraries.

Makoto Shiotsuki reported this vulnerability to IPA.
JPCERT/CC coordinated with the developer under Information Security Early Warning Partnership.
CVSS Severity (What is CVSS?)

Base Metrics: 6.8 (Medium) [IPA Score]
  • Access Vector: Network
  • Access Complexity: Medium
  • Authentication: None
  • Confidentiality Impact: Partial
  • Integrity Impact: Partial
  • Availability Impact: Partial

Affected Products


Lunascape
  • Lunascape 6.3.4 and earlier

Impact

An attacker may execute arbitrary code with the privilege of running the application.
Solution

[Update the Software]
Update to the latest version according to the information provided by the developer.

This issue was resolved in Lunascape 6.4.0.
However, Lunascape 6.4.0 contained separate issues and is not available.
Lunascape 6.4.1 was released on Jan 19, 2011 and contains a fix for this issue.
Vendor Information

Lunascape
CWE (What is CWE?)

  1. No Mapping(CWE-Other) [IPA Evaluation]
CVE (What is CVE?)

  1. CVE-2010-3927
References

  1. JVN : JVN#94695018
  2. National Vulnerability Database (NVD) : CVE-2010-3927
  3. US-CERT Vulnerability Note : VU#707943
  4. Secunia Advisory : SA43003
Revision History

[2011/01/21]
  Web page published